EASYRPG-PLAYER(6)

NAME
easyrpg-player - Interpreter for RPG Maker 2000/2003 games

SYNOPSIS

easyrpg-player [<optional flags>...]

DESCRIPTION

EasyRPG Player is an open source interpreter for RPG Maker 2000 and 2003 games. It aims to support all features of unmodified games and also has some support for some additional binary patches.

OPTIONS

--battle-test MONSTERPARTY
    Starts a battle test with the specified monster party.

--disable-audio
    Disable audio (in case you prefer your own music).

--disable-rtp
    Disable support for the Runtime Package (RTP). Will lead to checkerboard graphics and silent music/sound effects in games depending on the RTP.

--encoding ENCODING
    Instead of auto detecting the encoding or using the one in RPG_RT.ini, the specified encoding is used. Use "auto" for automatic detection.

--engine ENGINE
    Disable auto detection of the simulated engine. Possible options:

        • rpg2k - RPG Maker 2000 engine (v1.00 - v1.10)

        • rpg2kv150 - RPG Maker 2000 engine (v1.50 - v1.51)

        • rpg2ke - RPG Maker 2000 (English release) engine (v1.61)

        • rpg2k3 - RPG Maker 2003 engine (v1.00 - v1.04)

        • rpg2k3v105 - RPG Maker 2003 engine (v1.05 - v1.09a)

        • rpg2k3e - RPG Maker 2003 (English release) engine

--fullscreen
    Start in fullscreen mode.

--show-fps
    Enable frames per second counter.

--fps-render-window
    Render the frames per second counter in both full screen and windowed mode.

--fps-limit
    Set a custom frames per second limit. If unspecified, the default is 60 fps. Set to 0 to disable the frame limiter. This option may not be supported on all platforms.

--no-vsync
    Disable vsync and use fps-limit. Vsync may or may not be supported on all platforms. Check the engine log to verify whether or not vsync actually is being used.

--enable-mouse
    Use mouse click for decision and scroll wheel for lists.

--enable-touch
    Use one/two finger tap for decision/cancel.

--hide-title
    Hide the title background image and center the command menu.

--load-game-id ID
    Skip the title scene and load SaveID.lsd (ID is padded to two digits).

--new-game
    Skip the title scene and start a new game directly.

--project-path PATH
    Instead of using the working directory the game in PATH is used.

--rtp-path PATH
    Adds PATH to the RTP directory list and use this one with highest precedence.

--record-input PATH
    Records all button input to a log file at PATH.

--replay-input PATH
    Replays button input from a log file at PATH, as generated by --record-input. If the RNG seed (--seed) and the state of the save file directory is also the same as it was when the log was recorded, this should reproduce an identical run to the one recorded.

--save-path PATH
    Instead of storing save files in the game directory they are stored in PATH. The directory must exist.

    Note

    When using the game browser all games will share the same save directory!

--seed SEED
    Seeds the random number generator.

--autobattle-algo ALGO
    Which AutoBattle algorithm to use. Possible options:

        • RPG_RT - The default RPG_RT compatible algo, including RPG_RT bugs

        • RPG_RT+ - The default RPG_RT compatible algo, with bug fixes

        • ATTACK - RPG_RT+ but only physical attacks, no skills

--enemyai-algo ALGO
    Which EnemyAI algorithm to use. Possible options:

        • RPG_RT - The default RPG_RT compatible algo, including RPG_RT bugs

        • RPG_RT+ - The default RPG_RT compatible algo, with bug fixes

--patch PATCH_A [PATCH_B ...]
    Force emulation of engine patches, disabling auto detection. Possible options:

        • none - Disable all patches

        • dynrpg - DynRPG patch by Cherry

        • maniac - Maniac Patch by BingShan

--start-map-id ID
    Overwrite the map used for new games and use MapID.lmu instead (ID is padded to four digits).

    Note

    Incompatible with --load-game-id.

--start-position X Y
    Overwrite the party start position and move the party to position (X, Y).

    Note

    Incompatible with --load-game-id.

--start-party A [B ...]
    Overwrite the starting party members with the actors with IDs A, B, ...

    Note

    Incompatible with --load-game-id.

--test-play
    Enable TestPlay mode.

--window
    Start in window mode.

--no-log-color
    Disable colors in terminal log.

-v, --version
    Display program version and exit.

-h, --help
    Display help and exit.

For compatibility with the original RPG Maker runtime the following legacy arguments are supported:

BattleTest ID
    Same as --battle-test. When ID is not a valid number the 4th argument is used as the party id.

HideTitle
    Same as --hide-title.

TestPlay
    Same as --test-play.

Window
    Same as --window.

ENVIRONMENT

RPG2K_RTP_PATH
    Full path to a directory containing an extracted RPG Maker 2000 Run-Time-Package(RTP).

RPG2K3_RTP_PATH
    Full path to a directory containing an extracted RPG Maker 2003 RTP.

RPG_RTP_PATH
    Full path to a directory containing a combined RTP.

    Note

    All *_RTP_PATH variables support directory lists, using colon (:) or semicolon (;) as separator. Useful when you have multiple translated RTP versions or directories with extra files. The --rtp-path command line option supports directory lists as well.

FILES

RPG_RT.ini
    The game configuration file. It follows a simple Key=Value syntax in multiple sections. Specific options can be set in the [EasyRPG] section. For example:

    [EasyRPG]
    Encoding=1252

    This will set the correct encoding for most english games.

    Note

    Values in the configuration file will overwrite auto detected ones, however command line parameters will take precedence.

REPORTING BUGS

Bugs should be reported at the issue tracker: https://github.com/EasyRPG/Player/issues

COPYRIGHT / AUTHORS

EasyRPG Player is Copyright © 2007-2021 the EasyRPG authors, see file AUTHORS.md for details.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU GPL version 3. See the file COPYING or http://gnu.org/licenses/gpl.html for details.

SEE ALSO

mkxp - An open source RGSS (Ruby Game Scripting System) interface implementation that aims to support games created by "RPG Maker XP", "RPG Maker VX" and "RPG Maker VX Ace"

For additional information about EasyRPG software and related projects there is a wiki: https://wiki.easyrpg.org